Bug 731607 - RFE: Add ability to custom partition/format virtual block devices within VMs [NEEDINFO]
Summary: RFE: Add ability to custom partition/format virtual block devices within VMs
Keywords:
Status: CLOSED EOL
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: imagefactory
Version: 1.1.0
Hardware: All
OS: Linux
high
high
Target Milestone: 1.1.3
Assignee: Ian McLeod
QA Contact: Rehana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 02:20 UTC by Marcelo Giles
Modified: 2018-12-04 14:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-08 14:01:17 UTC
kcleveng: needinfo? (imcleod)


Attachments (Terms of Use)

Description Marcelo Giles 2011-08-18 02:20:45 UTC
Description of problem:

Currently, it seems that the configuration of virtual block devices is hard coded. Customer would like to have the capability to customize partitioning/formating of virtual block devices in their instances as they can currently do with say kvm, rhev, etc guests. 

Ideally, this should be doable performing kickstart installations of the VM instances.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mike Orazi 2011-08-18 13:38:21 UTC
This will only be possible for non-snapshot type builds and only in certain scenarios.  

Passing along to Chris for further concerns and comments.

Comment 2 Chris Lalancette 2011-08-18 14:00:42 UTC
We do indeed need to define a partition table portion of the TDL.  If we do that, then the user will be able to define partition tables when they submit the job for upload-style builds.

For snapshot style builds, it *might* be possible to honor the partition table.  However, it will require some investigation as to how viable it really is, as it could get complex very quickly.

Comment 3 wes hayutin 2011-09-28 16:36:55 UTC
making sure all the bugs are at the right version for future queries

Comment 5 wes hayutin 2012-02-22 23:45:36 UTC
moving version to 1.0.0 .  version = found in version

Comment 8 Marianne Feifer 2017-06-08 14:01:17 UTC
This BZ has been closed since it was opened on a version of CloudForms that has
reached the end of its lifecycle.  If you find that this bug is still relevant,
please open a new BZ against the relevant supported version of CloudForms.


Note You need to log in before you can comment on or make changes to this bug.